CREATE TABLE fco_cias_datos_adi
(	compania		char(4)		NOT NULL,
  tipo_id			char(3)   NOT NULL,	
  cod_dpto    char(2)   	NOT NULL,
  cod_ciudad  char(3)  	NOT NULL,
  fax			    varchar2(20)    NULL,
  nit_ARP	    varchar2(11)    NULL,
  nombre_ARP	varchar2(30)    NULL,
  clase_aportante 	  char(1)         NULL,
  forma_presentacion	char(1)		NULL,
  sucursal_pagadora	  char(10)        NULL,
  nro_patronal		    char(11)	NULL,
  nombre_retenedor 	  varchar2(60)	NULL,
  cedula_retenedor 	  varchar2(60)	NULL,
  agencias 		varchar2(300) 	NULL,
  arp_iss			number(1)	NULL,
  dir_ARP     varchar2(50) NULL,
  tel_ARP     varchar2(20) NULL,
  nombre_SENA varchar2(30) NULL,
  nit_SENA    varchar2(11) NULL,
  dir_SENA    varchar2(50) NULL,
  tel_SENA    varchar2(20) NULL,
  nombre_ICBF varchar2(30) NULL,
  nit_ICBF    varchar2(11) NULL,
  dir_ICBF    varchar2(50) NULL,
  tel_ICBF    varchar2(20) NULL,
  cod_admon   varchar2(40) NULL, 
  iss_redondea number(1) NULL, -- Agregado en Marzo 28/06
  cod_ARP char(6) NULL, -- Agregado en Junio/06
        Constraint PK_cias_datos_adi PRIMARY KEY (compania),  
        Constraint ck_cdi_tipo CHECK (tipo_id IN ('NIT','CC','CE')),
       	Constraint ck_cdi_forma CHECK (forma_presentacion IN ('C','U','S')),
        Constraint ck_cdi_class CHECK (clase_aportante IN ('P','G'))
)
TABLESPACE TS_ADAMDATOS;

CREATE PUBLIC SYNONYM fco_cias_datos_adi FOR ADAM.fco_cias_datos_adi;
GRANT ALL ON fco_cias_datos_adi TO ADAMA;
